curl --request POST \
--url https://api.streamkap.com/destinations/{destination_id}/deploy \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.streamkap.com/destinations/{destination_id}/deploy"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.streamkap.com/destinations/{destination_id}/deploy', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"name": "<string>",
"connector": "<string>",
"id": "<string>",
"connector_display_name": "<string>",
"created_timestamp": "<string>",
"sub_id": "<string>",
"tenant_id": "<string>",
"config": {
"keyfile": {},
"defaultDataset": "<string>",
"consumer.override.max.poll.records": 10000,
"tasks.max": 5,
"preserve.null.values": false,
"quote.identifiers": true,
"transforms.ToIntJ.fields.include.list": "<string>",
"transforms.ToFloatJ.fields.include.list": "<string>",
"transforms.ToDecimalJ.fields.include.list": "<string>",
"transforms.ToDecimalJ.truncate.to.max.precision": false,
"transforms.ToStringJ.fields.include.list": "<string>",
"transforms.ToJsonJ.fields.include.list": "<string>",
"transforms.ToJsonJ.convert.all.complex.types.user.defined": false,
"transforms.ToJsonbJ.fields.include.list": "<string>",
"transforms.ToJsonbJ.convert.all.complex.types.user.defined": false,
"transforms.ToJsonbJ.convert.all.json": false,
"transforms.StringReplace.fields.include.list": "<string>",
"transforms.StringReplace.regex.patterns": "<string>",
"transforms.StringReplace.replacement.values": "<string>",
"transforms.OversizedRecords.fields.include.list": "<string>",
"transforms.OversizedRecords.fields.exclude.list": "<string>",
"transforms.OversizedRecords.max.field.size.bytes": 1048576,
"transforms.OversizedRecords.oversized.field.behavior": "TRUNCATE",
"transforms.OversizedRecords.truncation.suffix": "",
"transforms.OversizedRecords.max.record.size.bytes": -1,
"transforms.OversizedRecords.semantic.types.exclude": "io.debezium.data.Json,io.debezium.data.Xml",
"transforms.OversizedRecords.replace.null.with.default": true,
"transforms.MaskField.fields.include.list": "<string>",
"transforms.MaskField.fields.exclude.list": "<string>",
"transforms.MaskField.mask.function": "SHA256_TRUNCATE",
"transforms.MaskField.mask.salt": "",
"transforms.MaskField.mask.char": "*",
"transforms.MaskField.mask.fixed.value": "***",
"transforms.MaskField.replace.null.with.default": true,
"transforms.AddStringSuffix.fields.include.list": "<string>",
"transforms.changeTopicName.match.regex.user.defined": "<string>",
"transforms.RenameFields.renames.user.defined": "<string>",
"transforms.DropFields.fields.include.list": "<string>",
"transforms.MarkColumnsAsRequired.fields.include.all": false,
"transforms.MarkColumnsAsRequired.null.sentinel.mode": "NONE",
"transforms.MarkColumnsAsOptional.fields.include.list": "<string>",
"transforms.CopyField.copy.field.mapping": "<string>",
"transforms.HeaderToFieldCustom.header.mappings": "<string>",
"timePartitioningType": "DAY",
"custom.partition.field": "<string>",
"custom.clustering.fields": "<string>",
"custom.partition.expiration.days": "<string>",
"autoCreateTables": true,
"allowNewBigQueryFields": true,
"allowBigQueryRequiredFieldRelaxation": true
},
"topic_ids": [
"<string>"
],
"topic_map": {},
"topics": [
"<string>"
],
"tasks": [
123
],
"connector_status": "<string>",
"desired_state": "<string>",
"kc_cluster_id": "<string>",
"task_statuses": {},
"tags": [
"<string>"
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Deploy Destination
Deploy a PENDING destination, transitioning it to ACTIVE.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
Successful Response
Destination connector configuration and status.
User-defined connector name
Connector type (e.g., 'snowflake', 'bigquery', 'clickhouse')
Unique identifier
Human-readable connector type name
Creation timestamp (ISO 8601)
Subscription identifier
Tenant identifier for multi-tenancy
Configuration properties for the BigQuery destination connector.
- BigQuery
- ClickHouse
- CockroachDB
- Databricks
- Db2
- GCS
- HTTP Sink
- Iceberg
- Kafka
- Kafka Direct
- Motherduck
- MySQL
- Oracle
- Pinecone
- PostgreSQL
- R2
- Redis
- Redshift
- S3
- SQL Server
- Snowflake
- Starburst
- Weaviate
Show child attributes
Show child attributes
List of associated topic identifiers
Mapping of topics to their partitions or related entities
Show child attributes
Show child attributes
List of topic names
List of task identifiers
Current status: Active, Paused, Stopped, Broken, Starting, Unassigned, Unknown, Pending
Desired state: Pending, Active, Paused, Stopped
KC cluster this connector is deployed to. None means default cluster.
Status information for each connector task
Show child attributes
Show child attributes
List of tag IDs assigned to this destination
Was this page helpful?